.interactive-bill {
  margin: 35px 0;
  padding: 0 13.1%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.interactive-bill .container {
  position: relative;
  width: 610px;
  height: 831px;
}
.interactive-bill .bill {
  position: absolute;
}
.interactive-bill .bill article {
  position: absolute;
  top: 50%;
  background: #fff;
  border: 7px solid #00b5c8;
  box-shadow: 0px 3px 6px #00000029;
  display: none;
  width: 400px;
  padding: 15px 15px 0 15px;
}
.interactive-bill .bill article h1,
.interactive-bill .bill article h2,
.interactive-bill .bill article h3,
.interactive-bill .bill article h4,
.interactive-bill .bill article h5,
.interactive-bill .bill article h6,
.interactive-bill .bill article ol,
.interactive-bill .bill article ul {
  margin-top: 0;
}
.interactive-bill .bill.budget-plan {
  top: 25px;
  left: 0;
  width: 180px;
  height: 160px;
}
.interactive-bill .bill.budget-plan article {
  border: 7px solid #aae0fa;
}
.interactive-bill .bill.budget-plan:hover article,
.interactive-bill .bill.gas-map:hover article,
.interactive-bill .bill.water-map:hover article {
  right: calc(100% - 200px);
  box-sizing: border-box;
  display: block;
}
.interactive-bill .bill.account-info {
  top: 30px;
  right: 0;
  width: 420px;
  height: 150px;
}
.interactive-bill .bill.account-info article {
  border: 7px solid #ccd1d3;
}
.interactive-bill .bill.account-info:hover article,
.interactive-bill .bill.gas-rate:hover article,
.interactive-bill .bill.water-rate:hover article,
.interactive-bill .bill.bottom-info:hover article {
  left: calc(100% - 200px);
  box-sizing: border-box;
  display: block;
}
.interactive-bill .bill.gas-rate article,
.interactive-bill .bill.gas-map article {
  border: 7px solid #ccedf0;
}
.interactive-bill .bill.water-rate article,
.interactive-bill .bill.water-map article {
  border: 7px solid #cce1ed;
}
.interactive-bill .bill.bottom-info article {
  border: 7px solid #f0f2cc;
}
.interactive-bill .bill.bottom-info:hover article {
  top: 0;
  left: 50%;
  transform: translateX(-50%);
}
.interactive-bill .bill.gas-map {
  height: 150px;
  width: 180px;
  top: 200px;
  left: 0;
}
.interactive-bill .bill.gas-map article {
  border: 7px solid #aae0fa;
}
.interactive-bill .bill.gas-rate {
  top: 210px;
  right: 0;
  width: 420px;
  height: 120px;
}
.interactive-bill .bill.water-map {
  height: 150px;
  width: 180px;
  top: 350px;
  left: 0;
}
.interactive-bill .bill.water-rate {
  height: 150px;
  width: 420px;
  top: 350px;
  right: 0;
}
.interactive-bill .bill.bottom-info {
  height: 200px;
  width: 100%;
  bottom: 0;
  left: 0;
}
.interactive-bill .bill-pdf {
  max-width: 100%;
  height: auto;
}
@media (max-width: 1280px) {
  .interactive-bill {
    padding: 0 35px;
  }
}
@media (max-width: 1100px) {
  .interactive-bill {
    padding: 0 13px;
  }
  .interactive-bill .bill.budget-plan:hover article,
  .interactive-bill .bill.gas-map:hover article,
  .interactive-bill .bill.water-map:hover article {
    right: unset;
    left: 0;
  }
  .interactive-bill .bill.account-info:hover article,
  .interactive-bill .bill.gas-rate:hover article,
  .interactive-bill .bill.water-rate:hover article {
    left: 0;
    transform: unset;
  }
}
@media (max-width: 700px) {
  .interactive-bill .container {
    width: 100%;
    height: auto;
  }
  .interactive-bill .bill article {
    display: none !important;
  }
}
